1-Click PPA API

GET /v1/counterparties/{counterparty_id}

Eine einzelne Counterparty-Verbindung über ihre Kennung abrufen. Erforderlicher Scope: rfq:read

Als Markdown anzeigen

Freischaltung erforderlich

Diese API muss für Ihr Konto explizit freigeschaltet werden. Wenden Sie sich dazu an den Support.
GET
/v1/counterparties/{counterparty_id}
X-Api-Key<token>

In: header

Path Parameters

counterparty_idstring

Kennung der Verbindung

Response Body

curl -X GET "https://api.otark.com/v1/counterparties/cpt_5m8k2r6d"
{
  "id": "cpt_5m8k2r6d",
  "company_id": "cmp_7d3f9k2a",
  "company_name": "Solar Nord",
  "status": "active",
  "roles": [
    "seller"
  ],
  "offers_granular_certificates": true,
  "contract_language": "de",
  "election_sheet": true,
  "general_agreement_date": "2026-05-04",
  "invited_at": "2026-04-28T09:12:00Z",
  "activated_at": "2026-05-04T14:30:00Z"
}

{
  "type": "https://api.otark.com/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://api.otark.com/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: rfq:write. Please create a new API key with the required scopes."
}

{
  "type": "https://api.otark.com/errors/rfq_not_found",
  "title": "Anfrage nicht gefunden",
  "status": 404,
  "instance": "/v1/rfqs/rfq_h7t2m9c4"
}